Package: org.gmetrics.metric.abc

## [Groovy] Class AbcVector

- org.gmetrics.metric.abc.AbcVector

- Represents a single ABC Metric result: a vector of the three A, B, C values.

  Authors:
    Chris Mair
  Version:
    \$Revision: 96 \$ - \$Date: 2010-03-09 20:17:58 -0500 (Tue, 09 Mar 2010) \$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `assignments`
    `int` | `branches`
    `int` | `conditions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbcVector (int assignments, int branches, int conditions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `BigDecimal` | `getMagnitude()` Return the magnitude of this ABC vector, specifically: |ABC| = sqrt((A*A)+(B*B)+(C*C))
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final int assignments

    - #### final int branches

    - #### final int conditions

  - ### Constructor Detail

    - #### AbcVector(int assignments, int branches, int conditions)

  - ### Method Detail

    - #### BigDecimal getMagnitude()

      Return the magnitude of this ABC vector, specifically: |ABC| = sqrt((A*A)+(B*B)+(C*C))

      Returns:
        the magnitude of the ABC vector as a BigDecimal with scale of 1

    - #### String toString()